# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.media
Class ResumableGDataFileUploader

    java.lang.Object
      com.google.gdata.client.uploader.ResumableHttpFileUploader
          com.google.gdata.client.media.ResumableGDataFileUploader

    public class ResumableGDataFileUploader

extends ResumableHttpFileUploader

Provides Google Data API specific capabilities to `ResumableHttpFileUploader`.

Nested Class Summary
`static class` `ResumableGDataFileUploader.Builder` Builder to construct a `ResumableGDataFileUploader`.
`static class` `ResumableGDataFileUploader.RequestType` Types of resumable update request types.

Nested classes/interfaces inherited from class com.google.gdata.client.uploader.ResumableHttpFileUploader
`ResumableHttpFileUploader.RequestMethod, ResumableHttpFileUploader.ResponseMessage, ResumableHttpFileUploader.UploadState`

Field Summary
`static java.lang.String` `RESUMABLE_EDIT_MEDIA_REL`

Fields inherited from class com.google.gdata.client.uploader.ResumableHttpFileUploader
`DEFAULT_MAX_CHUNK_SIZE, DEFAULT_PROGRESS_INTERVAL_MS, METHOD_OVERRIDE`

Method Summary

`

`<E extends IEntry> E`

`

`getResponse(java.lang.Class<E> entryClass)`
Returns the upload response as an instance of parsed entryClass.

Methods inherited from class com.google.gdata.client.uploader.ResumableHttpFileUploader
`addHeader, getData, getHttpRequestMethod, getNumBytesUploaded, getProgress, getResponse, getUploadState, isDone, isPaused, pause, resume, setHttpRequestMethod, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESUMABLE_EDIT_MEDIA_REL

    public static final java.lang.String RESUMABLE_EDIT_MEDIA_REL

See Also:
  Constant Field Values

Method Detail

### getResponse

    public <E extends IEntry> E getResponse(java.lang.Class<E> entryClass)
                                 throws java.io.IOException,
                                        ServiceException

  Returns the upload response as an instance of parsed entryClass.

  Parameters:
    `entryClass` - the class that will be used to represent the resulting entry.
  Returns:
    the inserted media Entry returned by the service.
  Throws:
    `java.io.IOException` - error communicating with the GData Service.
    `ServiceException` - insert request failed due to service error.